// PrintPreviewView.h : interface of the CPrintPreviewView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PRINTPREVIEWVIEW_H__683974AE_E896_11D2_842C_00A0C9422E56__INCLUDED_)
#define AFX_PRINTPREVIEWVIEW_H__683974AE_E896_11D2_842C_00A0C9422E56__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CPrintPreviewView : public CEditView
{
protected: // create from serialization only
	CPrintPreviewView();
	DECLARE_DYNCREATE(CPrintPreviewView)

// Attributes
public:
	CPrintPreviewDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrintPreviewView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPrintPreviewView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPrintPreviewView)
	afx_msg void OnFileImprovedprintpreview();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PrintPreviewView.cpp
inline CPrintPreviewDoc* CPrintPreviewView::GetDocument()
   { return (CPrintPreviewDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PRINTPREVIEWVIEW_H__683974AE_E896_11D2_842C_00A0C9422E56__INCLUDED_)
